2018-07-17 14:33 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002899OpenFOAM[All Projects] Bugpublic2018-04-13 14:24
Reportergdtech 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSCentos 7OS Version(please specify)
Product Version5.x 
Target VersionFixed in Version5.x 
Summary0002899: compressibleInterFoam does not calculate T.phase1 and T.phase2 on boundaries
DescriptioncompressibleInterFoam does not calculate T.phase1 and T.phase2 on boundaries and physical propreties that are temperature dependent are not updated.

If the calculation is stopped and then restarted, T.phase1 and T.phase2 are updated on restart and one can see a sudden jump in physical properties (on boundaries).
Additional InformationI attached a small test case of a tube.
At t=0, tube is full of air and water is coming at inlet.
TagscompressibleInterFoam
Attached Files

-Relationships
+Relationships

-Notes

~0009491

henry (manager)

The problem is that the phase temperatures inherit the externalWallHeatFluxTemperature BC from the temperature field without the means to correctly evaluate it. I have worked around this in
commit 410700c7a94bba431af33720467df76a7a63e930 in OpenFOAM-dev, if it proves reliable I will make the same change to OpenFOAM-5.x.

~0009494

gdtech (reporter)

Problem solved, thanks.

~0009498

henry (manager)

Resolved in OpenFOAM-5.x by commit 0183d1d9e814a42c6ecc8c01155189bb947b295c
Resolved in OpenFOAM-dev by commit 410700c7a94bba431af33720467df76a7a63e930
+Notes

-Issue History
Date Modified Username Field Change
2018-04-10 16:18 gdtech New Issue
2018-04-10 16:18 gdtech File Added: tube.zip
2018-04-10 16:18 gdtech Tag Attached: compressibleInterFoam
2018-04-10 16:19 gdtech File Added: T.air.png
2018-04-10 16:19 gdtech File Added: T.png
2018-04-10 16:20 gdtech File Added: rho-on-wall-restart.png
2018-04-12 23:43 henry Note Added: 0009491
2018-04-13 08:15 gdtech Note Added: 0009494
2018-04-13 14:24 henry Assigned To => henry
2018-04-13 14:24 henry Status new => resolved
2018-04-13 14:24 henry Resolution open => fixed
2018-04-13 14:24 henry Fixed in Version => 5.x
2018-04-13 14:24 henry Note Added: 0009498
+Issue History